Package org.bukkit.block.data.type

# Enum Class RedstoneWire.Connection

java.lang.Object
java.lang.Enum<RedstoneWire.Connection>
org.bukkit.block.data.type.RedstoneWire.Connection

All Implemented Interfaces:
  `Serializable`, `Comparable<RedstoneWire.Connection>`, `Constable`

Enclosing interface:
  RedstoneWire

public static enum RedstoneWire.Connection extends Enum<RedstoneWire.Connection>
The way in which a redstone wire can connect to an adjacent block face.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`NONE`
The wire does not connect in this direction.
`SIDE`
The wire travels flat from this face and into the adjacent block.
`UP`
The wire travels up the side of the block adjacent to this face.

## Method Summary

Modifier and Type
Method
Description
`static RedstoneWire.Connection`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static RedstoneWire.Connection[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### UP

public static final RedstoneWire.Connection UP
The wire travels up the side of the block adjacent to this face.

### SIDE

public static final RedstoneWire.Connection SIDE
The wire travels flat from this face and into the adjacent block.

### NONE

public static final RedstoneWire.Connection NONE
The wire does not connect in this direction.

## Method Details

### values

public static RedstoneWire.Connection[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static RedstoneWire.Connection valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null